From 8ad6da893be6873650e08a524578554fd6e273fa Mon Sep 17 00:00:00 2001
From: Robert Haas <rhaas@postgresql.org>
Date: Fri, 8 Apr 2022 09:34:42 -0400
Subject: [PATCH v1] docs: Note the recovery_min_apply_delay bloats pg_wal.

Those WAL files that we're waiting to apply have to be stored
somewhere.

Thom Brown

Discussion: http://postgr.es/m/CAA-aLv4SkJRK6GGcd0Axt8kt6_eWMEbtG7f8NJpFh+rNshtdNA@mail.gmail.com
---
 doc/src/sgml/config.sgml | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/doc/src/sgml/config.sgml b/doc/src/sgml/config.sgml
index 6e3e27bed7..9b4bf83bd9 100644
--- a/doc/src/sgml/config.sgml
+++ b/doc/src/sgml/config.sgml
@@ -4872,6 +4872,12 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
         state, until the standby is promoted or triggered. After that the standby
         will end recovery without further waiting.
        </para>
+       <para>
+        WAL records must be kept on standby until they are ready to be applied.
+        Therefore, longer delays will result in a greater accumulation of WAL
+        files, increasing disk space requirements for the standby's
+        <filename>pg_wal</filename> directory.
+       </para>
        <para>
         This parameter is intended for use with streaming replication deployments;
         however, if the parameter is specified it will be honored in all cases
-- 
2.24.3 (Apple Git-128)

